## prrte 3.0.12

=== debian/changelog ===
prrte (3.0.12-1) experimental; urgency=medium

  * Initial release. (Closes: #1120523)
    Updated to fix copyright issues in NEW

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 17 Feb 2026 08:33:38 +0000
