=== debian/control ===
Source: prrte
Section: net
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), 
 architecture-is-64-bit,
 chrpath,
 flex,
 bison,
 libpmix-dev,
 libpmix-bin,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-recommonmark,
 libjs-jquery,
 libevent-dev,
 libltdl-dev,
 libmunge-dev [ !hurd-any]
Standards-Version: 4.7.3
Homepage: https://github.com/pmix/prrte
Vcs-Browser: https://salsa.debian.org/science-team/prrte
Vcs-Git: https://salsa.debian.org/science-team/prrte.git -b debian/latest

Package: libprrte-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libprrte3 (= ${binary:Version}),
	 libjs-jquery
Description: Development files for the PRRTE library  
 This is the PMix Reference Run Time Environment library. PMIX is the 
 Process Management Interface (Exascale) library, a component of OpenMPI.
 This package contains the development files, headers and static library.

 
Package: libprrte3
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PMix Reference Run Time Environment - Library
 This is the OpenMPI implementation of the Process Management Interface (PMI)
 Exascale (PMix) Reference Run Time Environment.


Package: libprrte-bin
Depends:  ${misc:Depends}, ${shlibs:Depends}, libprrte3 (= ${binary:Version})
Architecture: any
Multi-Arch: foreign
Recommends: libpmix-dev
Description: PMix Reference Run Time Environment - Tools
 PMIX is the OpenMPI implementation of the Process Management Interface (PMI)
 Exascale API. This package provides utilities for working with PMix 
 Reference Run Time Environment.
