=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1


DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)  -fPIC


export LD_LIBRARY_PATH:=$(CURDIR)/debian/tmp/$(LIBDIR)/pmix2/lib:$(LD_LIBRARY_PATH)

# Do not embed build username or build system hostname, see README
export HOSTNAME=hostname
export USER=username

%:
	dh $@ 

BUILD_FLAGS:= \
	--prefix=$(LIBDIR)/prrte3 \
	--libdir=$(LIBDIR)/prrte3/lib \
	--includedir=$(LIBDIR)/prrte3/include \
	--sysconfdir=$(LIBDIR)/prrte3/share \
	--datarootdir=$(LIBDIR)/prrte3/share 

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/static-build debian/shared-build
	rm -f .gitmodules
	# autogenerated files. Clean so double-build works
	find . -name Makefile.in -delete
	rm -f src/include/prte_config.h.in src/include/prte_frameworks.c src/include/prte_frameworks.h
	rm -f aclocal.m4 config/ar-lib config/autogen_found_items.m4 config/compile config/config.sub config/depcomp \
		config/install-sh config/libtool.m4 config/config.guess config/ltmain.sh config/ltoptions.m4 \
		config/ltsugar.m4 config/lt~obsolete.m4 config/ltversion.m4 config/mca_library_paths.txt \
		config/missing config/test-driver config/ylwrap configure 

override_dh_autoreconf:
	./autogen.pl --force

override_dh_auto_configure:
	dh_auto_configure --builddirectory=debian/static-build -- $(BUILD_FLAGS) \
		--enable-static 
	dh_auto_configure --builddirectory=debian/shared-build -- $(BUILD_FLAGS) \
		--enable-shared

override_dh_auto_build:
	# Hack - build system doesn't work well with builddirs
	cp include/*.h debian/static-build/include
	cp include/*.h debian/shared-build/include
	dh_auto_build  --builddirectory=debian/static-build
	dh_auto_build  --builddirectory=debian/shared-build

override_dh_auto_install:
	dh_auto_install --builddirectory=debian/static-build
	dh_auto_install --builddirectory=debian/shared-build
	find debian/tmp -name '*.la' -delete
	# pcc a hanging symlink to pmixcc
	rm -f debian/tmp/usr/lib/*/prrte3/bin/pcc
	chrpath -d debian/tmp/usr/lib/*/prrte3/bin/*
	chrpath -d debian/tmp/usr/lib/*/prrte3/lib/libprrte.so.*
