## prrte 3.0.13

=== debian/changelog ===
prrte (3.0.13-1) unstable; urgency=medium

  * New upstream release
  * Add debian/gbp.conf
  * Add Breaks/Replaces against openmpi << 5.0.9-5
  * Drop Priority: optional
  * Add debian/salsa-ci.yml

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 18 Feb 2026 07:32:44 +0000
