=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: prrte
 Section: net
-Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), 
@@ -26,6 +25,8 @@
 Package: libprrte-dev
 Section: libdevel
 Architecture: any
+Breaks: libopenmpi-dev (<< 5.0.9-5)
+Replaces: libopenmpi-dev (<< 5.0.9-5) 
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, libprrte3 (= ${binary:Version}),
 	 libjs-jquery
@@ -38,6 +39,8 @@
 Package: libprrte3
 Section: libs
 Architecture: any
+Breaks: libopenmpi40 (<< 5.0.9-5)
+Replaces: libopenmpi40 (<< 5.0.9-5) 
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: PMix Reference Run Time Environment - Library
@@ -48,6 +51,8 @@
 Package: libprrte-bin
 Depends:  ${misc:Depends}, ${shlibs:Depends}, libprrte3 (= ${binary:Version})
 Architecture: any
+Breaks: openmpi-bin (<< 5.0.9-5)
+Replaces: openmpi-bin (<< 5.0.9-5) 
 Multi-Arch: foreign
 Recommends: libpmix-dev
 Description: PMix Reference Run Time Environment - Tools
