=== debian/rules ===
--- 
+++ 
@@ -64,3 +64,5 @@
 	chrpath -d debian/tmp/usr/lib/*/prrte3/bin/*
 	chrpath -d debian/tmp/usr/lib/*/prrte3/lib/libprrte.so.*
 
+override_dh_shlibdeps:
+	dh_shlibdeps -l$(DESTDIR)/$(LIBDIR)/prrte3/lib -- --ignore-missing-info
