=== debian/watch ===
version=4
https://github.com/openpmix/prrte/tags .*/v?(\d.*)@ARCHIVE_EXT@
